<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Sellpricechange_Search
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
     
    //タイトル
    var $title;  
    var $pagename;
    var $div;
    
    // component
    var $db_name;
    
    // post
    var $salestartdate_from;
    var $salestartdate_to;
    var $src_price;
    var $src_title;
    
    var $media_list;  // メディア
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Sellpricechange_Searchが実行されました", "Admin_Itemmanage_Sellpricechange_Search#execute");
        
        $this->media_list = $this->db_name->selectDivAll(4);
        
        //発売日FROMのデフォルトに本日日付
        if(empty($this->salestartdate_from))
            $this->salestartdate_from = date("Y/m/d");
        
        return 'success';
    }
}
?>
